Биллинг
Список транзакций кошелька
Список транзакций биллинга
GET
/
v1
/
public
/
accounts
/
{account_id}
/
billing
/
transactions
Список транзакций биллинга
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"page_size": 123,
"total": 123,
"items": [
{
"amount": "<string>",
"currency": "<string>",
"direction": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"balance_after": "<string>",
"description": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Авторизации
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Параметры пути
Ответ
Текущий номер страницы, основанный на единице
Максимальное количество элементов на странице
Общее количество соответствующих транзакций кошелька
Транзакции кошелька на этой странице
Hide child attributes
Hide child attributes
Сумма транзакции
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Код валюты кошелька
Направление сделки
Временная метка фактической транзакции
Статус транзакции кошелька
Транзакция кошелька UUID
Тип транзакции кошелька
Баланс кошелька после транзакции
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Описание транзакции
Была ли эта страница полезной?
⌘I
Список транзакций биллинга
